=== debian/control ===
Source: dhcpdump
Section: admin
Priority: optional
Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 debhelper-compat (= 13),
 libpcap-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Homepage: http://www.mavetju.org/download/

Package: dhcpdump
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Parse DHCP packets from interface
 This package provides a tool for visualization of DHCP packets
 on a network interface to analyze DHCP client requests and
 server responses.
