=== debian/changelog ===
dhcpdump (1.9-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:37 +1100

dhcpdump (1.9-1build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:58:36 +0100

dhcpdump (1.9-1) unstable; urgency=medium

  * Change upstream to a maintained fork
  * Restore reverted packaging changes

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 19 Mar 2023 00:12:50 +0000
