=== debian/watch ===
version=4

opts="searchmode=plain, \
	pgpsigurlmangle=s/releases\/download\/v([0-9.]+)\/dhcpdump-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/dhcpdump-$1\.tar\.xz\.asc/" \
	https://api.github.com/repos/bbonev/dhcpdump/releases \
	https://github.com/bbonev/dhcpdump/releases/download/v\d[\.\d]*/dhcpdump-@ANY_VERSION@.tar.xz
