## dhcpdump 1.10

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,11 @@
 CFLAGS+=-Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -g -O3 -fPIE
 LDFLAGS+=-g -Wl,-z,relro -Wl,-z,now -fPIE -pie
 LIBS+=-lpcap
+
+ifeq ($(shell uname -s),Darwin)
+LDFLAGSTODROP:=-Wl,-z,relro -Wl,-z,now
+LDFLAGS:=$(filter-out $(LDFLAGSTODROP),$(LDFLAGS))
+endif
 
 all: dhcpdump dhcpdump.8
 
@@ -19,10 +24,10 @@
 		--center "User Contributed Software" \
 		dhcpdump.pod dhcpdump.8
 
-dhcpdump: dhcpdump.o
+dhcpdump: dhcpdump.o Makefile
 	${CC} ${LDFLAGS} -o $@ dhcpdump.o ${LIBS}
 
-dhcpdump.o: dhcpdump.c dhcp_options.h Makefile
+dhcpdump.o: dhcpdump.c dhcp_options.h version.h Makefile
 	${CC} ${CFLAGS} -c -o $@ dhcpdump.c
 
 VER:=$(shell grep 'define VERSION' version.h|tr -d '\"'|awk '{print $$3}')
