=== debian/control ===
Source: dhcpdump
Section: admin
Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 debhelper-compat (= 13),
 libpcap-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/dhcpdump-org/dhcpdump
Vcs-Browser: https://github.com/dhcpdump-org/dhcpdump
Vcs-Git: https://github.com/dhcpdump-org/dhcpdump.git

Package: dhcpdump
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Parse DHCP packets from a network interface
 This package provides a tool for visualization of DHCP packets
 on a network interface to analyze DHCP client requests and
 server responses.
