=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/dhcpdump-org/dhcpdump/releases
Matching-Pattern: https://github.com/dhcpdump-org/dhcpdump/releases/download/v\d[\.\d]*/dhcpdump-@ANY_VERSION@.tar.xz
Pgpsigurlmangle: s/releases\/download\/v([0-9.]+)\/dhcpdump-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/dhcpdump-$1\.tar\.xz\.asc/
Searchmode: plain
